<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Beginning Balance</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm">
                    <div class="card-header">
                        <h5>Saldo awal per-akun</h5>
                    </div>
                    <div class="card-body">
                        <form method="get">
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <label>Institut</label>
                                    <select name="institut" id="" class="form-select">
                                        <option value="">-- Pilih --</option>
                                        <option th:each="data, row:${institut}"
                                                th:value="${data.id}"
                                                th:text="${data.namaInstitut}"></option>
                                    </select>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <div class="form-group">
                                        <label>Tahun</label>
                                        <select name="year" id="tahun" class="form-select">
                                            <option value="" selected disabled>-- Pilih --</option>
                                            <option th:each="data, row:${listYear}"
                                                    th:value="${data.year}"
                                                    th:selected="${data.year == year}"
                                                    th:text="${data.year}"></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12 text-center mb-3">
                                    <button class="btn btn-info btn-sm"><i class="fa fa-search"></i> Cari</button>
                                    <a th:if="${year != null}" th:href="@{/beginningBalance}" class="btn btn-danger btn-sm">Hilangkan Parameter</a>
                                </div>
                            </div>
                        </form>

                        <div class="row mb-3">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="card-body shadow-sm">
                                        <div class="row mb-3">
                                            <div class="col-md-12">
                                                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                                    <strong th:text="${success}"></strong>
                                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                                </div>
                                                <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${error != null}">
                                                    <strong th:text="${error}"></strong>
                                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-md-12 text-end">
                                                <a th:href="@{'/beginningBalance/form'}" class="btn btn-primary btn-sm">+ Tambah</a>
                                            </div>
                                        </div>
                                        <div class="table-responsive">
                                            <table class="table table-bordered table-hover">
                                                <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Akun</th>
                                                    <th>Saldo Awal</th>
                                                    <th>Tanggal Awal</th>
                                                    <th>Tahun</th>
                                                    <th>Institut</th>
                                                    <th width="15%"></th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr th:each="data, row:${list}">
                                                    <td th:text="${(row.index + 1)}"></td>
                                                    <td th:text="${data.account.code + ' - ' + data.account.name}"></td>
                                                            <td th:text="${#numbers.formatDecimal(data.accountBalance, 0, 'POINT', 2, 'COMMA')}"></td>
                                                    <td th:text="${#temporals.format(data.startDate, 'dd MMMM yyyy')}"></td>
                                                    <td th:text="${data.year}"></td>
                                                    <td th:text="${data?.institut?.namaInstitut}"></td>
                                                    <td>
                                                        <a th:href="@{/beginningBalance/edit(id = ${data.id})}" class="btn btn-warning btn-sm">Edit</a>
                                                        <a th:href="@{/beginningBalance/delete(accountBalance = ${data.id})}"
                                                           onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm">Hapus</a>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>
                                            <nav aria-label="Page navigation example">
                                                <ul class="pagination justify-content-center" sd:pagination="full">
                                                    <li class="page-item disabled">
                                                        <a class="page-link" href="#" tabindex="-1">Previous</a>
                                                    </li>
                                                    <li class="page-item"><a class="page-link" href="#">1</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                    <li class="page-item">
                                                        <a class="page-link" href="#">Next</a>
                                                    </li>
                                                </ul>
                                            </nav>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>